Skip to main content
POST
/
api
/
v1
/
image
/
upload
/
{imageName}
/
{type}
/
{width}
/
{height}
POST /api/v1/image/upload/{imageName}/{type}/{width}/{height}
curl --request POST \
  --url https://api.scoot.app/api/v1/image/upload/{imageName}/{type}/{width}/{height} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
"aSDinaTvuI8gbWludGxpZnk="
'
import requests

url = "https://api.scoot.app/api/v1/image/upload/{imageName}/{type}/{width}/{height}"

payload = "aSDinaTvuI8gbWludGxpZnk="
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('aSDinaTvuI8gbWludGxpZnk=')
};

fetch('https://api.scoot.app/api/v1/image/upload/{imageName}/{type}/{width}/{height}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "imageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "imageGroup": "<string>",
  "imageName": "<string>",
  "imageSize": "<string>",
  "imageType": "<string>",
  "imageColor": "<string>",
  "visibleToPublic": true,
  "active": true,
  "imageURI": "<string>",
  "user": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "firstName": "<string>",
    "middleName": "<string>",
    "lastName": "<string>",
    "emailAddress": "<string>",
    "emailVerified": true,
    "preload": true,
    "mobilePhone": "<string>",
    "mobilePhoneVerified": true,
    "mobilePhoneVerifiedWeb": true,
    "profileId": "<string>",
    "profileImageURI": "<string>",
    "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "profileImageBackground": "<string>",
    "timeZone": "<string>",
    "registeredDateTime": "2023-11-07T05:31:56Z",
    "active": true,
    "actedAs": true
  },
  "error": "<string>"
}
Uploads an image file with specified dimensions and type for use in Scootaverse sessions.

Authorizations

X-API-Key
string
header
required

Path Parameters

imageName
string
required
type
string
required
width
integer
required
height
integer
required

Body

application/json

The body is of type string<byte>.

Response

200 - application/json

OK

imageId
string<uuid>
userId
string<uuid>
imageGroup
string
imageName
string
imageSize
string
imageType
string
imageColor
string
visibleToPublic
boolean
active
boolean
imageURI
string
user
object
error
string